LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File terminology.spec of Package terminology (Project X11:Enlightenment:Nightly)

#
# spec file for package terminology
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

### # begin - this section is used for automatic updates
### REVISION=caf4e9230261d05c006f58a62bce7bfa58e83b3f
### SRC_REL_DIR=terminology
### pre_configure_hook() { dependency_hack; }
### # end - this section is used for automatic updates


Name:           terminology
Version:	0.8.99
Release:        0
License:        BSD-2-Clause
Summary:        EFL based terminal emulator
Url:            git://git.enlightenment.org/apps/terminology.git
Group:          System/X11/Terminals
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  automake
BuildRequires:  pkgconfig(ecore)
BuildRequires:  pkgconfig(ecore-evas)
BuildRequires:  pkgconfig(ecore-file)
BuildRequires:  pkgconfig(ecore-imf)
BuildRequires:  pkgconfig(ecore-imf-evas)
BuildRequires:  pkgconfig(ecore-input)
BuildRequires:  pkgconfig(ecore-ipc)
BuildRequires:  pkgconfig(edje)
BuildRequires:  pkgconfig(eet)
BuildRequires:  pkgconfig(efreet)
BuildRequires:  pkgconfig(eina)
BuildRequires:  pkgconfig(elementary) >= 1.8.0
BuildRequires:  pkgconfig(emotion)
BuildRequires:  pkgconfig(ethumb_client)
BuildRequires:  pkgconfig(evas)
Requires:       efl
Requires:       elementary >= 1.8.0
Requires:       evas-generic-loaders >= 1.8.0
# provides default.edj
Requires:       terminology-theme-dft
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
%endif

%description
Fast and lightweight terminal emulator using EFL libraries.

%prep
%setup -q

%build
%configure --disable-silent-rules --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
sed -i 's/.png[[:blank:]]*$//' %{buildroot}%{_datadir}/applications/terminology.desktop
%if 0%{?suse_version}
%suse_update_desktop_file terminology TerminalEmulator
%fdupes %{buildroot}/%{_datadir}
%endif
mv %{buildroot}%{_datadir}/icons %{buildroot}%{_datadir}/pixmaps

%clean
%{?buildroot:rm -rf %{buildroot}}


%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/terminology
%{_bindir}/ty*
%{_datadir}/applications/terminology.desktop
%{_datadir}/pixmaps/terminology.png
%{_datadir}/terminology
%{_datadir}/man
%{_datadir}/locale

%changelog